#include "miItem.h"

miItem::miItem(const char *s, const QPixmap p) 
	: QListBoxItem(), pm(p)
{
	
	setText( s );
}

void
miItem::paint( QPainter *p)
{
	p->drawPixmap( 3, 0, pm);
	QFontMetrics fm=p->fontMetrics();
	int yPos;    /* posicion vertical del texto */
	if ( pm.height() < fm.height() )
		yPos=fm.ascent() + fm.leading()/2;
	else
		yPos=pm.height()/2 - fm.height()/2 + fm.ascent();
	p->drawText( pm.width() + 3, yPos, text() );
		
}

int
miItem::height(const QListBox *lb) const
{
	return QMAX( pm.height(), lb->fontMetrics().lineSpacing() + 1);
}

int
miItem::width( const QListBox *lb) const
{
	return pm.width() + lb->fontMetrics().width( text() ) + 6;
}

